Subject: Re: What's cooking in git.git (Apr 2025, #06; Tue, 22)

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 23 Apr 2025 13:57:08 +0200

On Tue, Apr 22, 2025 at 07:48:25PM -0700, Junio C Hamano wrote:
> * es/meson-cleanup (2025-04-21) 6 commits
>  - meson: only check for missing networking syms on non-Windows; add compat impls
>  - meson: fix typo in function check that prevented checking for hstrerror
>  - meson: add a couple missing networking dependencies
>  - meson: do a full usage-based compile check for sysinfo
>  - meson: check for getpagesize before using it
>  - meson: simplify and parameterize various standard function checks
> 
>  Code clean-up for meson-based build infrastructure.
> 
>  Comments?
>  source: <[email-masked]>

I had a couple of comments, but overall this looks almost ready to go
for me. I do expect a reroll with a couple of small adjustments.

> * ps/fewer-perl (2025-04-16) 5 commits
>  - Documentation: stop depending on Perl to generate command list
>  - Documentation: stop depending on Perl to massage user manual
>  - request-pull: stop depending on Perl
>  - filter-branch: stop depending on Perl
>  - Merge branch 'ps/test-wo-perl-prereq' into ps/fewer-perl
> 
>  Reduce requirement for Perl in our documentation build and a few
>  scripts.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Fine with me, I don't plan for another reroll for now.

> * ps/reftable-api-revamp (2025-04-07) 17 commits
>  - reftable/table: move printing logic into test helper
>  - reftable/constants: make block types part of the public interface
>  - reftable/table: introduce iterator for table blocks
>  - reftable/table: add `reftable_table` to the public interface
>  - reftable/block: expose a generic iterator over reftable records
>  - reftable/block: make block iterators reseekable
>  - reftable/block: store block pointer in the block iterator
>  - reftable/block: create public interface for reading blocks
>  - git-zlib: use `struct z_stream_s` instead of typedef
>  - reftable/block: rename `block_reader` to `reftable_block`
>  - reftable/block: rename `block` to `block_data`
>  - reftable/table: move reading block into block reader
>  - reftable/block: simplify how we track restart points
>  - reftable/blocksource: consolidate code into a single file
>  - reftable/reader: rename data structure to "table"
>  - reftable: fix formatting of the license header
>  - Merge branch 'ps/reftable-sans-compat-util' into ps/reftable-api-revamp
> 
>  Overhaul of the reftable API.
> 
>  Will merge to 'next'?
>  cf. <3okrcl7bdpy75hzyzpmrp7fluan4n3zvsroioq64id4a2kt3o4@fc6fetilb6y2>
>  source: <[email-masked]>

It's been cooking for a while already, and I have addressed all feedback
I received. So from my point of view this can be merged so that we can
finally start working on `git refs verify` for the reftable backend :)

Patrick